Bug 41105 - New port: graphics/renderpark System for physically based photo-realistic image synthesis
Summary: New port: graphics/renderpark System for physically based photo-realistic ima...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-29 05:50 UTC by Igor Pokrovsky
Modified: 2003-02-03 10:23 UTC (History)
0 users

See Also:


Attachments
renderpark.shar (16.36 KB, text/plain)
2002-07-29 05:50 UTC, Igor Pokrovsky
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Pokrovsky 2002-07-29 05:50:01 UTC
RenderPark is a test-bed system for physically based photo-realistic image
synthesis. It's a free software package providing a solid implementation
of a wide variety of state-of-the-art ray-tracing and radiosity algorithms.
Although RenderPark  is in the first place a tool for research and teaching,
it is  evolving towards a full featured physics based global illumination
rendering system that also illumination engineers, architects, designers
and artists will appreciate.

Features:
* reads models in MGF and new XRML (extended VRML'97) file format.
* images can be saved in PPM, TIFF and Radiance PIC format, for which numerous
  convertors exist.
* supports high dynamic range TIFF and PIC image output, suitable for lighting
  analysis purposes, e.g. using Radiance tools, or experimentation with tone
  mapping techniques ...
* illuminated models after radiosity can be saved in VRML'97 format.
* X-Windows/Motif based user interface.
* interactive navigation using graphics hardware (OpenGL) with various
  optimizations that make it suited for large models.
* wide range of tone mapping operators + calibrated monitor support.
* batch rendering with control through command line arguments or
  Inter Process Communication.
* rendering into an external canvas window makes RenderPark behave as a
  "plug-in" in other applications.

Rendering algorithms implemented:

Object-space radiance algorithms:

* Galerkin radiosity (both gathering and shooting) with (or without)
  hierarchical refinement, higher order approximations, clustering,
  view-importance, ...
* Stochastic Jacobi radiosity, also hierarchical with clustering,  higher
  order approximations and view-importance as described in Philippe Bekaert's
  PhD thesis (recommended radiosity method)
* Various random walk radiosity algorithms
* Photon Mapping

Pixel-driven radiance algorithms:

* stochastic ray tracing (usable as a second pass after an object-space
  radiance algorithm, with special support for the photon map)
* bi-directional path tracing. Using regular expressions, you can tune
  exactly what part of the light transport shall be computed.
Comment 1 Maho Nakata freebsd_committer 2002-12-10 14:26:17 UTC
State Changed
From-To: open->closed

I'll handle this.
Committed, thank you!
 
http://www.freebsd.org/cgi/query-pr.cgi?pr=41105